// src/hooks/compose.ts
function compose(hooks_) {
  const hookStore = {};
  for (const hook of hooks_) {
    for (const [name, fn] of Object.entries(hook)) {
      if (!hookStore[name])
        hookStore[name] = [];
      hookStore[name]?.push(fn);
    }
  }
  const hooks = {};
  for (const [name, fns] of Object.entries(hookStore)) {
    hooks[name] = async (...args) => {
      for (const fn of fns) {
        await fn(...args);
      }
    };
  }
  return hooks;
}

export {
  compose
};
